%define anolis_release 2

Name:           perl-Config-Perl-V
Version:        0.35
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        A module that will return you the output of 'perl -V' in a structure
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-Perl-V
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/Config-Perl-V-%{version}.tgz

Patch0001:      0001-Config-Perl-V-0.24-Remove-invalid-shellbang.patch

BuildArch:      noarch
BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(warnings) perl(vars) perl(Exporter) perl(Config)
BuildRequires:  perl(Digest::MD5)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Test::NoWarnings)
%endif
BuildRequires:  perl(Test::More)

Suggests:       perl(Digest::MD5)
Conflicts:      perl < 4:5.22.0

%description
The command 'perl -V' will return you an excerpt from the %Config hash
combined with the output of 'perl -V' that is not stored inside %Config,
but only available to the perl binary itself.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Config-Perl-V-%{version}
chmod -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test PERL_CORE=%{defined perl_bootstrap}

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README examples CONTRIBUTING.md Changelog

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1:0.35-2
- optimise spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.35-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.35

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.33-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.33-1
- init from upstream
